# amscppsimpledraw

This C++ library is a simple portable renderer. "It turns out you can just draw things." It doesn't depend on any underlying graphics environment, not OpenGL, not any of the newer things. It doesn't depend on any windowing environment. It doesn't depend on having a graphics card - all operations are done threaded on the CPU. (Because of this, it may be slow, but I'm writing it betting that it is fast enough for my purposes).

## Dependencies:

amsmathutil25 - my math and utility libray. It depends on some of the threaded caller wrappers.

amscimglib4 - Low level C image loaders and savers for JPEG, BMP, PNG images. (This is my primary mode of debugging and output at the moment.)

amscppimglib4 - C++ image manipulation routines.

amscppmesh1 - a place where I've stashed various mesh manipulation routines


